/*
 * This program was written by Grzegorz Adam Hankiewicz and Carlos Pereda
 * Moreno and is Giftware: you are free to do what you want with it without
 * any restriction. We do not accept responsibility for any effects, adverse
 * or otherwise, that this program may have on you, your computer, your
 * sanity, your dog, and anything else that you can think of. Use it at your
 * own risk.
*/
import java.awt.*;
import java.awt.image.*;

/** Esta clase es una especie de contenedor de imagenes. En lugar de que cada objeto
	* que posea una imagen tenga que almacenarla y cargarla l mismo, utilizamos esta
	* clase que carga todas las imagenes y las almacena en un array de imagenes, al que
	* accederemos mediante un indice que estara almacenado en la clase que utilize dicha
	* imagen.
	*/
class TileSet
{
	public final int N_TILES = 31;

	/** Array que contiene las imagenes */
	public Image imagenes[];
	/** Este mediatracker sincroniza la carga de las imagenes.
	*/
	MediaTracker loader;
	/** Este es el unico constructor de esta clase, carga todas las imagenes y las almacena
		* en el array despues de crearlo. Este constructor recibe como parametro un Component
		* cualquiera.
		*/
	TileSet (Component imgo)
	{
		loader = new MediaTracker (imgo);
		imagenes = new Image[N_TILES];
		
		for (int i = 0; i < N_TILES; i++)
		{
			imagenes[i] = Toolkit.getDefaultToolkit().getImage ("imagenes/tile"+i+".gif");
			loader.addImage (imagenes[i],i);
		}
		
		try
		{
			loader.waitForAll ();
		} catch (Exception e)
		{
			e.printStackTrace();
			System.out.println ("No se pudo cargar todas las imgenes. Abortando ejecucin.");
			System.exit (1);
		};
	}
}